%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           glfw
Version:        3.3.2
Release:        %mkrel 2
Summary:        A cross-platform multimedia library
Group:          System/Libraries
License:        zlib
URL:            https://www.glfw.org
Source0:        https://downloads.sf.net/glfw/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)

%description
GLFW is a free, open source, multi-platform library for OpenGL application
development that provides a powerful API for handling operating system specific
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and
time input, creating threads, and more.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        A cross-platform multimedia library
Group:          System/Libraries

%description -n %{libname}
GLFW is a free, open source, multi-platform library for OpenGL application
development that provides a powerful API for handling operating system specific
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and
time input, creating threads, and more.

%files -n       %{libname}
%doc README.md
%license LICENSE.md
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for GLFW
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The glfw-devel package contains header files for developing glfw
applications.

%files -n       %{devname}
%doc docs/html/*
%{_includedir}/GLFW/
%{_libdir}/cmake/%{name}%{major}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}%{major}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DGLFW_BUILD_EXAMPLES:BOOL=OFF \
       -DGLFW_BUILD_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 3.3.2-2.mga8
+ Revision: 1547635
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 3.3.2-1.mga8
+ Revision: 1488158
- new version: 3.3.2
+ wally <wally>
- build with new cmake macros

* Thu Apr 25 2019 akien <akien> 3.3-1.mga7
+ Revision: 1395281
- Version 3.3

* Sun Sep 23 2018 umeabot <umeabot> 3.2.1-2.mga7
+ Revision: 1297909
- Mageia 7 Mass Rebuild

* Sat Oct 29 2016 akien <akien> 3.2.1-1.mga6
+ Revision: 1063906
- Version 3.2.1

* Wed Jan 13 2016 akien <akien> 3.1.2-1.mga6
+ Revision: 922402
- Version 3.1.2

* Mon Jun 22 2015 akien <akien> 3.1.1-1.mga6
+ Revision: 839926
- Version 3.1.1

* Tue Jan 27 2015 akien <akien> 3.1-1.mga5
+ Revision: 812576
- Version 3.1

* Wed Oct 15 2014 umeabot <umeabot> 3.0.4-3.mga5
+ Revision: 741327
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.4-2.mga5
+ Revision: 679640
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 akien <akien> 3.0.4-1.mga5
+ Revision: 669454
- imported package glfw

